Name: ovs-snmp
Version: 1.0
Release: 4%{?dist}
Summary: Dynamic snmp module for the Oracle VM Server MIB
Group: System Environment/Daemons
License: GPLv2
URL: http://www.oracle.com
Source0: %{name}-%{version}.tar.bz2

Patch1: dummy.patch
Patch2: rev41.patch
Patch3: rev47.patch
# End Oracle Patches

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: net-snmp-devel
Requires: net-snmp

%description
This module implements a basic snmp MIB for Oracle VM Server

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
make ovs.so

%install
mkdir -p %{buildroot}/usr/lib64/ovs-snmp
mkdir -p %{buildroot}/usr/share/snmp/mibs
install -m 755 %{_builddir}/%{name}-%{version}/ovs.so %{buildroot}/usr/lib64/ovs-snmp
install -m 644 %{_builddir}/%{name}-%{version}/ORACLE-OVS-MIB.txt %{buildroot}/usr/share/snmp/mibs/
install -m 755 %{_builddir}/%{name}-%{version}/ovs-snmp.py %{buildroot}/usr/lib64/ovs-snmp

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/lib64/ovs-snmp/ovs.so
/usr/lib64/ovs-snmp/ovs-snmp.py*
/usr/share/snmp/mibs/ORACLE-OVS-MIB.txt

%changelog
* Thu Oct 15 2015 Carson Hovey <carson.hovey@oracle.com> - 1.0-4 
- Fix typo in description of ovsClusterStorage description 

* Wed Oct 14 2015 Carson Hovey <carson.hovey@oracle.com> - 1.0-3 
- Improve description text.
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Don Naro <don.naro@oracle.com> 

* Fri Oct 09 2015 Carson Hovey <carson.hovey@oracle.com> - 1.0-2
- Rebuild 

* Wed Oct 07 2015 Carson Hovey <carson.hovey@oracle.com> - 1.0-1
- Initial build 

